MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023597Community[OCCT] OCCT:Data Exchangepublic2012-11-28 14:062013-04-29 15:21
ReporterRoman Lygin 
Assigned ToRoman Lygin 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023597: Failed to export ellipse into STEP with units other than mm
DescriptionException occurs in UnitsMethods::RadianToDegree() when calling Geom2d_Ellipse::SetMajorRadius() which after scaling becomes smaller than minor, and Geom2d_Ellipse does not provide API to set two radii at once.
Steps To Reproduce    pload ALL
    xnorm STEP
    restore f-ellipse.brep f
    param write.step.unit FT
    newmodel
    stepwrite a f f-ellipse.stp
TagsNo tags attached.
Test case numberbugs xde(005) bug23597
Attached Fileszip file icon f-ellipse.zip (391 bytes) 2012-11-28 14:06

- Relationships

-  Notes
(0022409)
Roman Lygin (developer)
2012-11-28 14:09

Pushed branch CR23597 into the git repository
(0022414)
gka (developer)
2012-11-28 16:54

Branch CR23597 is ready for tests.
(0022549)
mkv (tester)
2012-12-04 18:19

Dear BugMaster,
Branch CR23597 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
bugs xde(005) bug23597 - OK.

- Related Changesets
occt: master 72ae9895
Timestamp: 2012-12-07 08:47:03
Author: Roman Lygin
Details ] Diff ]
0023597: Failed to export ellipse into STEP with units other than mm
Test case for this bug
mod - src/UnitsMethods/UnitsMethods.cxx Diff ] File ]
add - tests/bugs/xde/bug23597 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-28 14:06 Roman Lygin New Issue
2012-11-28 14:06 Roman Lygin Assigned To => gka
2012-11-28 14:06 Roman Lygin File Added: f-ellipse.zip
2012-11-28 14:09 Roman Lygin Note Added: 0022409
2012-11-28 14:09 Roman Lygin Status new => resolved
2012-11-28 16:54 gka Note Added: 0022414
2012-11-28 16:54 gka Status resolved => reviewed
2012-11-28 17:50 mkv Assigned To gka => mkv
2012-12-04 18:19 mkv Note Added: 0022549
2012-12-04 18:19 mkv Test case number => bugs xde(005) bug23597
2012-12-04 18:19 mkv Assigned To mkv => bugmaster
2012-12-04 18:19 mkv Status reviewed => tested
2012-12-10 17:16 Roman Lygin Changeset attached => occt master 72ae9895
2012-12-10 17:16 Roman Lygin Assigned To bugmaster => Roman Lygin
2012-12-10 17:16 Roman Lygin Status tested => verified
2012-12-10 17:16 Roman Lygin Resolution open => fixed
2013-04-23 13:37 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker